// =====================================================================
//  $Id: TGtkUserInterface.cc,v 1.4 2004/03/07 10:30:31 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TGtkUserInterface.cc,v $
//  Revision 1.4  2004/03/07 10:30:31  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 17:02:40  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:18:51  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifdef __CLDAQ_GTK_USE
#include "TGtkUserInterface.hh"

TGtkUserInterface::TGtkUserInterface( const Tstring& history )
  : TUserInterface( history ), theAcceptString( "" )
{;}

TGtkUserInterface::~TGtkUserInterface()
{;}

Tbool TGtkUserInterface::AcceptCommand()
{
  return Ttrue;
}

const Tstring& TGtkUserInterface::GetInputCommand()
{
  return theAcceptString;
}

Tvoid TGtkUserInterface::NotFoundCommand( const Tstring& commandname ) const
{
  return;
}

#endif

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TGtkUserInterface)
#endif
